package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID")
    private String organId;

    @ApiModelProperty(value = "学员编号")
    private List<Integer> userIds;

    @ApiModelProperty(value = "乐团ID")
    private String musicGroupId;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
    private ClassGroupStudentStatusEnum studentStatus;
    
    private Boolean isActive;

    private Boolean isExport = false;

    private Integer serviceTag;

    private Integer operatingTag;
    
    private Integer teacherId;

    private Integer isNewUser;

    public Integer getIsNewUser() {
        return isNewUser;
    }

    public void setIsNewUser(Integer isNewUser) {
        this.isNewUser = isNewUser;
    }

    public Integer getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(Integer serviceTag) {
        this.serviceTag = serviceTag;
    }

    public Integer getOperatingTag() {
        return operatingTag;
    }

    public void setOperatingTag(Integer operatingTag) {
        this.operatingTag = operatingTag;
    }

    public Boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(Boolean export) {
        isExport = export;
    }

    public List<Integer> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Integer> userIds) {
        this.userIds = userIds;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public ClassGroupStudentStatusEnum getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(ClassGroupStudentStatusEnum studentStatus) {
        this.studentStatus = studentStatus;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}
}
